#ifndef TMHistogrammingClustersPerStave_H
#define TMHistogrammingClustersPerStave_H

#include "TMHistogrammingShowDet.h"

class TH2F;
class TLine;

class TMHistogrammingClustersPerStave : public TMHistogrammingShowDet {
 public:
  TMHistogrammingClustersPerStave(TLine *tla[240]);
  virtual ~TMHistogrammingClustersPerStave();
  
  virtual void ProcessCluster(Float_t x, Float_t y, Float_t z, UInt_t module, UInt_t size, UInt_t widz, UInt_t widphi, UInt_t type);
  virtual void EndEvent(AliITSRawStreamSPD *str, UInt_t globalEventNumber);

  virtual void Draw(TPad *pad);
  virtual void Reset();

  virtual void DrawDetector(TPad *pad);
  virtual void HideDetector(TPad *pad);

 protected:

  TH2F   *fHist;
  TLine   *fDetLines[240];

  UInt_t fNumberClus[20][6];


};

#endif
